LINUX.ORG.RU

yum: Подскажите, ниче не понимаю


0

0

Хочу поставить vlc, вот что делаю и что получаю в итоге....

# ls /root/RPM-*
/root/RPM-GPG-KEY.atrpms   /root/RPM-GPG-KEY.dries.txt  /root/RPM-GPG-KEY.planetccrma.txt
/root/RPM-GPG-KEY.dag.txt  /root/RPM-GPG-KEY-freshrpms  /root/RPM-LIVNA-GPG-KEY
# rpm --import /root/RPM-*
# yum localinstall /root/Desktop/vlc-0.8.6c-6.fc7.x86_64.rpm
Loading "installonlyn" plugin
Setting up Local Package Process
Examining /root/Desktop/vlc-0.8.6c-6.fc7.x86_64.rpm: vlc - 0.8.6c-6.fc7.x86_64
Marking /root/Desktop/vlc-0.8.6c-6.fc7.x86_64.rpm to be installed
fedora                    100% |=========================| 2.1 kB    00:00
ftp://ftp.rhd.ru/pub/fedora/linux/updates/7/x86_64/repodata/repomd.xml: [Errno 4] IOError: [Errno ftp error] timed out
Trying other mirror.
updates                   100% |=========================| 2.3 kB    00:00
primary.sqlite.bz2        100% |=========================| 2.4 MB    00:09
Resolving Dependencies
--> Running transaction check
---> Package vlc.x86_64 0:0.8.6c-6.fc7 set to be updated
--> Processing Dependency: libxosd.so.2()(64bit) for package: vlc
.....................etc.....................
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: vlc
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package xosd.x86_64 0:2.2.14-9.fc7 set to be updated
..............ext.....................
---> Package libmatroska.x86_64 0:0.8.1-1.fc7 set to be updated
Dependencies Resolved
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 vlc                     x86_64     0.8.6c-6.fc7     /root/Desktop/vlc-0.8.6c-6.fc7.x86_64.rpm   16 M
Installing for dependencies:
 SDL_image               x86_64     1.2.5-4.fc7      fedora             43 k
 aalib                   x86_64     1.4.0-0.12.rc5.fc7  fedora             75 k
 compat-wxGTK26          x86_64     2.6.3-2          fedora            3.5 M
 dirac-libs              x86_64     0.7.0-1.fc7      updates           387 k
 libcaca                 x86_64     0.99-0.1.beta11.fc7  fedora            159 k
 libcddb                 x86_64     1.3.0-1.fc7      fedora             72 k
 libdvdread              x86_64     0.9.7-2.fc7      fedora             66 k
 libebml                 x86_64     0.7.7-2.fc6      fedora             71 k
 libmatroska             x86_64     0.8.1-1.fc7      fedora            201 k
 libtar                  x86_64     1.2.11-8.fc6     fedora             30 k
 libupnp                 x86_64     1.6.0-1.fc7      updates            91 k
 lirc                    x86_64     0.8.2-2.fc7      updates           262 k
 svgalib                 x86_64     1.9.25-3.fc6     fedora            442 k
 xosd                    x86_64     2.2.14-9.fc7     fedora             47 k
Transaction Summary
=============================================================================
Install     15 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 22 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID d6098512
Public key for vlc-0.8.6c-6.fc7.x86_64.rpm is not installed

Как поставить вим? Что ему еще надо, ключи инклюдил, но без толку.
anonymous

Re: yum: Подскажите, ниче не понимаю

Насколько я знаю vlc есть и в ливне и в фрешрпмс. Они между собой конфликтуют. Отключи ненужные репо (оставь только ливну, федора, апдейтс) и попробуй ещё раз.

LokiAs2 ()

Re: yum: Подскажите, ниче не понимаю

rpm -K /root/Desktop/vlc-0.8.6c-6.fc7.x86_64.rpm говорит GPG OK? Если нет, то вы до сих пор НЕ импортировали нужный ключ в rpm.

birdie ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.